<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMissingFieldsToHistory extends Migration
{
    public function up()
    {
        Schema::table('history', function (Blueprint $table) {
            $table->string('cie_code')->nullable();
            $table->text('diagnosis')->nullable();
        });
    }

    public function down()
    {
        Schema::table('history', function (Blueprint $table) {
            $table->dropColumn(['cie_code', 'diagnosis']);
        });
    }
} 